import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { DashboardComponent } from './components/dashboard/dashboard.component';
import { UserstoryTableComponent } from './components/userstory-table/userstory-table.component';
import { TaskTableComponent } from './components/task-table/task-table.component';
import { SprintTableComponent } from './components/sprint-table/sprint-table.component';
import {BacklogComponent} from './components/backlog-table/backlog.component';

const routes: Routes = [
  { path: 'tasks', component: TaskTableComponent },
  { path: 'userstories', component: UserstoryTableComponent },
  { path: 'dashboard', component: DashboardComponent },
  { path: 'sprints', component: SprintTableComponent },
  { path: 'backlog', component: BacklogComponent },
  { path: '', redirectTo: '/tasks', pathMatch: 'full' },
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule],
})
export class AppRoutingModule {}
