import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';

import { AppRoutingModule } from './app-routing.module';
import { AppComponent } from './app.component';

import { BackendService } from './services/backend.service';
import { TaskFormComponent } from './components/task-form/task-form.component';
import { UserstoryFormComponent } from './components/userstory-form/userstory-form.component';
import { SprintFormComponent } from './components/sprint-form/sprint-form.component';
import { NgbModule } from '@ng-bootstrap/ng-bootstrap';
import { UserstoryTableComponent } from './components/userstory-table/userstory-table.component';
import { TaskTableComponent } from './components/task-table/task-table.component';
import { SprintTableComponent } from './components/sprint-table/sprint-table.component';
import { DashboardComponent } from './components/dashboard/dashboard.component';
import { UserstoryInnerTableComponent } from './components/userstory-inner-table/userstory-inner-table.component';
import { BacklogComponent } from './components/backlog-table/backlog.component';

@NgModule({
  declarations: [
    AppComponent,
    TaskTableComponent,
    TaskFormComponent,
    UserstoryTableComponent,
    UserstoryFormComponent,
    UserstoryTableComponent,
    SprintFormComponent,
    SprintTableComponent,
    DashboardComponent,
    UserstoryInnerTableComponent,
    BacklogComponent
  ],
  imports: [
    BrowserModule,
    AppRoutingModule,
    HttpClientModule,
    FormsModule,
    NgbModule,
  ],
  providers: [BackendService],
  bootstrap: [AppComponent],
})
export class AppModule {}
