import {Priority} from './backend.service';

export function sortByNumberAscending<T>(items: T[], key: (T) => number) {
  return items.sort((a, b) => key(a) - key(b));
}

export function sortByStringAscending<T>(items: T[], key: (T) => string) {
  return items.sort((a, b) => key(a).localeCompare(key(b)));
}

export function sortByDateAscending<T>(items: T[], key: (T) => Date) {
  return items.sort((a, b) =>  <any>key(b) - <any>key(a));
}

export function getNumberForPriority(priority: Priority): number {
  switch (priority) {
    case Priority.High:
      return 2;
    case Priority.Medium:
      return 1;
    case Priority.Low:
      return 0;
  }
};
